summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-03-25 14:24:07 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-03-25 16:00:27 +0100
commit8d368cba116c3ef61b4c234e29be8d0b468b895b (patch)
tree0fcb7724b59790e5016ce484c269ad0154f259e4 /sys-libs/tdb
parentsys-libs/talloc: Bump to version 2.2.0 (diff)
downloadgentoo-8d368cba116c3ef61b4c234e29be8d0b468b895b.tar.gz
gentoo-8d368cba116c3ef61b4c234e29be8d0b468b895b.tar.bz2
gentoo-8d368cba116c3ef61b4c234e29be8d0b468b895b.zip
sys-libs/tdb: Bump to version 1.4.0
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'sys-libs/tdb')
-rw-r--r--sys-libs/tdb/Manifest1
-rw-r--r--sys-libs/tdb/tdb-1.4.0.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/sys-libs/tdb/Manifest b/sys-libs/tdb/Manifest
index e7253a0bde7..0cefdaedcc4 100644
--- a/sys-libs/tdb/Manifest
+++ b/sys-libs/tdb/Manifest
@@ -3,3 +3,4 @@ DIST tdb-1.3.16.tar.gz 504330 BLAKE2B 686b6b3d026094a0219f2c5d76f7258cf2f96538f6
DIST tdb-1.3.17.tar.gz 697224 BLAKE2B 6231c48924a2c164a6f55fc5cea0ce284fc5a34519e3cf26709322539118ed3dcdf21ecdeeb1a958a47c7502a625e66695f452d858a865965ce4fa60d65c55cd SHA512 ef25dad520a12d75e541802a46e418fe61ac691126600f24158cd5b95091b4c536ffc4d4aff6608cca087291fde0b86b44ff7b1a7837d816cd534e9688c39eff
DIST tdb-1.3.18.tar.gz 697970 BLAKE2B a6dff8dbe444ce35f6470dae7da1b6719052fb2030fd5526157c67374b0f54fb815c8f799060ea2a811e85ce208f626f18a48df9169e3f45d3f92998246b81cd SHA512 9b856b2a5b2d852ff0048ba7b1700ea46b8dad5d4e94027472fdce9f1db4b5afba9aec127b7a4c2a38d4722c8e0ea78c1734d102fa134ac802eace6b24358034
DIST tdb-1.3.8.tar.gz 494106 BLAKE2B 3ac4418b642472859c37c20477ffcc255be6e435b84f59ee634fb5b80caa38aadbcc761fd2daf7c797f9d9a120dcf6e597b31306f8c67d3e890570dd94e4263f SHA512 9a7040206bbaae419a296714fe14fcbd3b67c0cef2b0f33563d52336aac2fe814049f5136a148fb049a273bb36fe81e3d777df58869c93f45d6e42b4adf9970b
+DIST tdb-1.4.0.tar.gz 696994 BLAKE2B f1dc29d3a66bd898f0e69f195879aea56235c1b6f542c532b4335d87482a5a2d8a8bc9bd5b463a0a110431535a2b0ccebb779449536696e0b5aa7ea5f3bce02c SHA512 3c5e17f8011e61e855a745dbff18ba9f778534f34e1538a68c8854d8d1022494bcc3bf7a19f2b79c478e091b1b6b183723fe27b935c4cc6d058b6b147b6a325e
diff --git a/sys-libs/tdb/tdb-1.4.0.ebuild b/sys-libs/tdb/tdb-1.4.0.ebuild
new file mode 100644
index 00000000000..13558afddb3
--- /dev/null
+++ b/sys-libs/tdb/tdb-1.4.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit waf-utils multilib-minimal python-single-r1
+
+DESCRIPTION="A simple database API"
+HOMEPAGE="http://tdb.samba.org/"
+SRC_URI="http://samba.org/ftp/tdb/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="python"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="
+ ${RDEPEND}
+ ${PYTHON_DEPS}
+ app-text/docbook-xml-dtd:4.2"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+ python_fix_shebang .
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local extra_opts=()
+ if ! multilib_is_native_abi || ! use python; then
+ extra_opts+=( --disable-python )
+ fi
+
+ waf-utils_src_configure "${extra_opts[@]}"
+}
+
+multilib_src_compile() {
+ # need to avoid parallel building, this looks like the sanest way with waf-utils/multiprocessing eclasses
+ unset MAKEOPTS
+ waf-utils_src_compile
+}
+
+multilib_src_test() {
+ # the default src_test runs 'make test' and 'make check', letting
+ # the tests fail occasionally (reason: unknown)
+ emake check
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+}